Subject: [TR] 2 issues

From: Dave Connitt <[email-masked]>
Date: Thu, 19 Sep 2019 00:04:36 -0400

Hi, I just got back home from an excellent 12 day, 2,800 mile road trip in my TR4A and have a couple of small issues that maybe you guys can help me with.
1. Steering wheel squeaking when I turn the wheel. U suspect that the nylon bushings supporting the steering column need lubricant but what should I use?
2. At highway speeds, the shift lever rattles. If I pull up on the shift lever it goes away. Any ideas?
Thanks,
Dave Connitt 

Sent from my iPhone
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive